Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 751556 (CVE-2020-15238) - <net-wireless/blueman-2.1.4: local privilege escalation in org.blueman.Mechanism D-Bus interface (CVE-2020-15238)
Summary: <net-wireless/blueman-2.1.4: local privilege escalation in org.blueman.Mechan...
Status: RESOLVED FIXED
Alias: CVE-2020-15238
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal major (vote)
Assignee: Gentoo Security
URL: https://github.com/blueman-project/bl...
Whiteboard: B1 [glsa+ cve]
Keywords: CC-ARCHES, STABLEREQ
Depends on:
Blocks:
 
Reported: 2020-10-28 08:45 UTC by filip ambroz
Modified: 2020-11-11 03:50 UTC (History)
1 user (show)

See Also:
Package list:
net-wireless/blueman-2.1.4
Runtime testing required: ---
nattka: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description filip ambroz 2020-10-28 08:45:51 UTC
Impact
------

The DhcpClient method of the D-Bus interface to blueman-mechanism is prone to an argument injection vulnerability.

The impact highly depends on the system configuration.

If Polkit-1 is disabled and for versions lower than 2.0.6, any local user can possibly exploit this. If Polkit-1 is enabled for version 2.0.6 and later, a possible attacker needs to be allowed to use the org.blueman.dhcp.client action. That is limited to users in the wheel group in the shipped rules file that do have the privileges anyway.

On systems with ISC DHCP client (dhclient), attackers can pass arguments to ip link with the interface name that can e.g. be used to bring down an interface or add an arbitrary XDP/BPF program.

On systems with dhcpcd and without ISC DHCP client, attackers can even run arbitrary scripts by passing -c/path/to/script as an interface name.


Patches
-------

Patches are included in 2.1.4 and master that change the DhcpClient D-Bus method(s) to accept BlueZ network object paths instead of network interface names. A backport to 2.0(.8) is also available.


Workarounds
-----------

Make sure that Polkit-1-support is enabled and limit privileges for the org.blueman.dhcp.client action to users that are able to run arbitrary commands as root anyway in /usr/share/polkit-1/rules.d/blueman.rules.


Links
-----
https://github.com/blueman-project/blueman/releases/tag/2.1.4
https://nvd.nist.gov/vuln/detail/CVE-2020-15238
https://osint.geekcq.com/2020/10/27/cve-2020-15238/
https://bugs.launchpad.net/ubuntu/+source/blueman/+bug/1897287



Reproducible: Always
Comment 1 Thomas Deutschmann gentoo-dev Security 2020-10-28 14:33:41 UTC
x86 stable
Comment 2 Sam James archtester gentoo-dev Security 2020-10-28 16:45:46 UTC
arm done
Comment 3 Sam James archtester gentoo-dev Security 2020-10-29 01:22:45 UTC
arm64 done
Comment 4 Sergei Trofimovich gentoo-dev 2020-10-31 21:01:31 UTC
ppc/ppc64 stable
Comment 5 Sam James archtester gentoo-dev Security 2020-11-01 11:11:50 UTC
arm64 done
Comment 6 Sam James archtester gentoo-dev Security 2020-11-01 11:12:53 UTC
arm done
Comment 7 Sam James archtester gentoo-dev Security 2020-11-01 14:21:38 UTC
amd64 done

all arches done
Comment 8 Larry the Git Cow gentoo-dev 2020-11-01 14:34:37 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5e7942ca7449b477f3581a1ac4c8408db1c95746

commit 5e7942ca7449b477f3581a1ac4c8408db1c95746
Author:     Michał Górny <mgorny@gentoo.org>
AuthorDate: 2020-11-01 14:31:40 +0000
Commit:     Michał Górny <mgorny@gentoo.org>
CommitDate: 2020-11-01 14:34:33 +0000

    net-wireless/blueman: Remove old
    
    Bug: https://bugs.gentoo.org/751556
    Signed-off-by: Michał Górny <mgorny@gentoo.org>

 net-wireless/blueman/Manifest             |   1 -
 net-wireless/blueman/blueman-2.1.3.ebuild | 131 ------------------------------
 2 files changed, 132 deletions(-)
Comment 9 GLSAMaker/CVETool Bot gentoo-dev 2020-11-11 03:50:13 UTC
This issue was resolved and addressed in
 GLSA 202011-11 at https://security.gentoo.org/glsa/202011-11
by GLSA coordinator Sam James (sam_c).